{ pkgs, ... }:
{
  programs.git = {
    enable = true;
    userName = "nydragon";
    userEmail = "contact@ccnlc.eu";
    extraConfig = {
      gpg.format = "ssh";
      push = {
        autoSetupRemote = true;
      };
      pull = {
        rebase = true;
      };
      core = {
        editor = "${pkgs.neovim}/bin/nvim";
      };
      init = {
        defaultBranch = "main";
      };
      merge = {
        conflictstyle = "diff3";
      };
      diff = {
        colorMoved = "default";
      };
    };
    signing = {
      signByDefault = true;
      key = "key::ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMvPqWPXEUOSMGMIRmirQfbrzq//NkPlEI2TmFpIkSfw";
    };
    delta.enable = true;
  };
}
